Create Prospect: Knock
https://api.propexo.com/crm/v1/prospects/knockAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution
The Propexo unique identifier for the agent
The primary email address associated with the prospect. This field and/or the phone_1 field are required
Primary phone number associated with the prospect. This field and/or the email_1 field are required
The first name associated with the prospect
The last name associated with the prospect
The first address line associated with the prospect
The city associated with the prospect
The state associated with the prospect
The zip code associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1 and <= 18
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect
Possible values: <= 1000 characters
The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.
Possible values: >= 0 and <= 3
A list of pets related to the prospect
Show 3 enum values
SMALL_DOGLARGE_DOGCATWhether or not to subscribe the prospect to automated Knock messaging. Verify with your customer that they have legal consent to send email messages to this customer
trueThe type of initial contact with the prospect
Show 9 enum values
CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_INResponse
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution
The Propexo unique identifier for the agent
The primary email address associated with the prospect. This field and/or the phone_1 field are required
Primary phone number associated with the prospect. This field and/or the email_1 field are required
The first name associated with the prospect
The last name associated with the prospect
The first address line associated with the prospect
The city associated with the prospect
The state associated with the prospect
The zip code associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1 and <= 18
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect
Possible values: <= 1000 characters
Possible values: >= 0 and <= 3
Show 3 enum values
SMALL_DOGLARGE_DOGCATWhether or not to subscribe the prospect to automated Knock messaging. Verify with your customer that they have legal consent to send email messages to this customer
trueThe type of initial contact with the prospect
Show 9 enum values
CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_INErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/prospects/knock \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"attribution_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"attribution_id": "string",
"agent_id": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"desired_num_bedrooms": "Unknown Type: array,null",
"pets": "Unknown Type: array,null",
"subscribe": true,
"first_contact_type": "CALL"
}
}